package com.unipi.talepis.voicerec1;

import android.content.Intent;
import android.graphics.Color;
import android.speech.RecognizerIntent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.CheckBox;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    CheckBox checkBox;
    public static final  int VOICE_REC_RESULT=22342;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        checkBox=(CheckBox)findViewById(R.id.checkBox1);
    }
    public void startrec(View view){
        if (checkBox.isChecked())
            startvoicerecognitionactivity();
    }
    public void startvoicerecognitionactivity(){
        Intent intent= new Intent(RecognizerIntent.ACTION_RECOGNIZE_SPEECH);
        intent.putExtra(RecognizerIntent.EXTRA_LANGUAGE_MODEL,
                RecognizerIntent.LANGUAGE_MODEL_FREE_FORM);
        intent.putExtra(RecognizerIntent.EXTRA_PROMPT,"Please say something!");
        startActivityForResult(intent,VOICE_REC_RESULT);
    }
    public void onActivityResult(int Requestcode,int Resultcode,Intent data){
        if (Requestcode==VOICE_REC_RESULT && Resultcode==RESULT_OK){
            ArrayList<String> matches = data.getStringArrayListExtra(RecognizerIntent.EXTRA_RESULTS);
            String str="";
            for (String s : matches)
                str+=s+"\t";
            //Toast.makeText(getApplicationContext(), str,Toast.LENGTH_LONG).show();
            if (matches.contains("Red"))
                getWindow().getDecorView().setBackgroundColor(Color.RED);
            if (matches.contains("Blue"))
                getWindow().getDecorView().setBackgroundColor(Color.BLUE);
            if (matches.contains("Green"))
                getWindow().getDecorView().setBackgroundColor(Color.GREEN);
            super.onActivityResult(Requestcode,Resultcode,data);
        }
    }
}
